org.keycloak.models.map.authorization.adapter

## Class AbstractPermissionTicketModel<E extends AbstractEntity>

- java.lang.Object
- - org.keycloak.models.map.authorization.adapter.AbstractPermissionTicketModel<E>

- All Implemented Interfaces:
    PermissionTicket
  Direct Known Subclasses:
    MapPermissionTicketAdapter

      public abstract class AbstractPermissionTicketModel<E extends AbstractEntity>
      extends Object
      implements PermissionTicket

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.model.PermissionTicket

      `PermissionTicket.FilterOption, PermissionTicket.SearchableFields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `entity`
    `protected StoreFactory` | `storeFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPermissionTicketModel(E entity, StoreFactory storeFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authorization.model.PermissionTicket

      `getCreatedTimestamp, getGrantedTimestamp, getId, getOwner, getPolicy, getRequester, getResource, getResourceServer, getScope, isGranted, setGrantedTimestamp, setPolicy`

- - ### Field Detail

    - #### entity

          protected final E extends AbstractEntity entity

    - #### storeFactory

          protected final StoreFactory storeFactory

  - ### Constructor Detail

    - #### AbstractPermissionTicketModel

          public AbstractPermissionTicketModel(E entity,
                                               StoreFactory storeFactory)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.